<?php


namespace openkm\definition;

/**
 * BasePlugin
 *
 * @author sochoa
 */
interface BasePlugin {

    public function executePluginPost($className, $parameters, $content, $type);

    public function executePluginPostReturnFile($className, $parameters, $content);

    public function executePluginGet($className, $parameters, $type);

    public function executePluginGetReturnFile($className, $parameters);

}